PETSc version 3.17.4
Fix/Edit manual page

# PCSetPreSolve

Sets function PCPreSolve() which is intended for any preconditioner-specific actions that must be performed before the iterative solve itself.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCSetPreSolve(PC pc,PetscErrorCode (*presolve)(PC,KSP))

Logically Collective on pc

### Input Parameters

| pc | - the preconditioner object
| presolve | - the function to call before the solve

### Calling sequence of presolve

     func(PC pc,KSP ksp)

| pc | - the PC context
| ksp | - the KSP context

### See Also

PC, PCSetUp(), PCPreSolve()

### Level

developer

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages